# gfgrep

## Name

gfgrep -- search a file for a pattern

## Synopsis

gfrun {gfarm:gfgrep} -o `output-gfarm-URL` `pattern` `input-gfarm-URL`...

gfrun {gfarm:gfgrep} -o `output-gfarm-URL` -e `pattern` `input-gfarm-URL`...

## DESCRIPTION

gfgrep is a sample program of parallel applications executed by gfrun(1) as well as an example to create a Gfarm file in the local file view.

gfgrep searches a `pattern` from `input-gfarm-URL`, and outputs to `output-gfarm-URL`.

Every parallel application executed by gfrun(1) should interpret the `-I` and `-N` options that show the rank and the size of the parallel program, respectively, and call `gfs_pio_set_local()`.

## OPTIONS

`-e` `pattern`

  is useful to protect patterns beginning with -.

`-o` `gfarm-URL`

  specifies an output Gfarm file.

`-?`

  displays a list of command options.